Skip to main content
POST
/
v1
/
contracts
/
{contractId}
/
generate-document-upload-url
Generate document upload URL
curl --request POST \
  --url https://api.light.inc/v1/contracts/{contractId}/generate-document-upload-url \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json;charset=UTF-8' \
  --data '
{
  "filename": "<string>"
}
'
{
  "uploadUrl": "<string>",
  "key": "<string>",
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.light.inc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

contractId
string<uuid>
required

Body

application/json;charset=UTF-8
filename
string

Name of the file to upload

Response

default - application/json;charset=UTF-8

default response

uploadUrl
string

Pre-signed URL to upload the document to

key
string

Key to identify the uploaded document

metadata
object

Metadata to include with the upload request